Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006709opensim[GRID] Hypergridpublic2013-07-16 08:532014-07-29 13:42
Reporterzadark 
Assigned Tozadark 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version7x64 Enterprise
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006709: SQLite: CREATE TABLE hg_traveling_data fails
DescriptionHGTravelData addition for SQLite fails to create hg_traveling_data table, subsequent SQLite error prevents login.
Additional InformationProblem if a simulator start has already attempted to create hg_traveling_data table, the migration system is bumped to VERSION 1.

Suggested corrections
*********************** Maybe Amend SQLiteHGTravelData.cs

#if CSharpSqlite
    using Community.CsharpSqlite.Sqlite;
#else

using Mono.Data.Sqlite;
#endif

*********************** SQLite Migration replace contents with:---

:VERSION 1 # NOT SQLite compatible --------------------------

BEGIN;

CREATE TABLE hg_traveling_data (
    SessionID VARCHAR(36) NOT NULL,
    UserID VARCHAR(36) NOT NULL,
    GridExternalName VARCHAR(255) NOT NULL DEFAULT '',
    ServiceToken VARCHAR(255) NOT NULL DEFAULT '',
    ClientIPAddress VARCHAR(16) NOT NULL DEFAULT '',
    MyIPAddress VARCHAR(16) NOT NULL DEFAULT '',
    TMStamp timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY (`SessionID`),
    KEY (`UserID`)
) ENGINE=InnoDB;

COMMIT;

:VERSION 2 # --------------------------

BEGIN;

CREATE TABLE hg_traveling_data(
    SessionID VARCHAR(36) NOT NULL,
    UserID VARCHAR(36) NOT NULL,
    GridExternalName VARCHAR(255) NOT NULL DEFAULT "",
    ServiceToken VARCHAR(255) NOT NULL DEFAULT "",
    ClientIPAddress VARCHAR(16) NOT NULL DEFAULT "",
    MyIPAddress VARCHAR(16) NOT NULL DEFAULT "",
    TMStamp TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY(SessionID),
    UNIQUE(UserID)
);

COMMIT;
TagsNo tags attached.
Git Revision or version numberaf02231a7b334dde1e3dcbea03c93fe11bcc6037
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
ViewerFirestorm OS Version
Attached Files

- Relationships

-  Notes
(0024203)
Diva (administrator)
2013-07-19 20:29

<cia-opensim> opensim: diva * rc1705236c7b0 OpenSim/Data/SQLite/Resources (HGTravelStore.migrations):
<cia-opensim> Fix HGTravelStore.migrations in SQLite (mantis 0006709)
(0024204)
zadark (reporter)
2013-07-20 04:54

Commit c1705236c7b0fe779c52b56a4531eb036817de89

- Issue History
Date Modified Username Field Change
2013-07-16 08:53 zadark New Issue
2013-07-16 09:45 zadark Additional Information Updated View Revisions
2013-07-19 20:29 Diva Note Added: 0024203
2013-07-20 04:54 zadark Note Added: 0024204
2013-07-20 04:54 zadark Status new => resolved
2013-07-20 04:54 zadark Fixed in Version => master (dev code)
2013-07-20 04:54 zadark Resolution open => fixed
2013-07-20 04:54 zadark Assigned To => zadark
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker